/* $Id$

This file is part of libmspnet
Copyright © 2008  Mikkosoft Productions, Mikko Rasa
Distributed under the LGPL
*/

#ifndef MSP_NET_STREAMLISTENSOCKET_H_
#define MSP_NET_STREAMLISTENSOCKET_H_

#include "socket.h"

namespace Msp {
namespace Net {

class StreamSocket;

class StreamListenSocket: public Socket
{
public:
	StreamListenSocket(Family, int =0);
	int connect(const SockAddr &);
	void listen(const SockAddr &, unsigned =4);
	StreamSocket *accept();
private:
	bool listening;
};

} // namespace Net
} // namespace Msp

#endif
